# Uses of Class
org.apache.zookeeper.server.quorum.QuorumPeerConfig.ConfigException

Packages that use QuorumPeerConfig.ConfigException
Package
Description
org.apache.zookeeper.client
org.apache.zookeeper.common
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.controller
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.flexible
org.apache.zookeeper.server.util

## Uses of QuorumPeerConfig.ConfigException in org.apache.zookeeper.client

Constructors in org.apache.zookeeper.client that throw QuorumPeerConfig.ConfigException
Modifier
Constructor
Description
``
`ZKClientConfig(File configFile)`
Deprecated.
``
`ZKClientConfig(String configPath)`
Deprecated.

## Uses of QuorumPeerConfig.ConfigException in org.apache.zookeeper.common

Methods in org.apache.zookeeper.common that throw QuorumPeerConfig.ConfigException
Modifier and Type
Method
Description
`void`
ZKConfig.`addConfiguration(File configFile)`
Deprecated.
`void`
ZKConfig.`addConfiguration(String configPath)`
Deprecated.
Constructors in org.apache.zookeeper.common that throw QuorumPeerConfig.ConfigException
Modifier
Constructor
Description
``
`ZKConfig(File configFile)`
Deprecated.
``
`ZKConfig(String configPath)`
Deprecated.

## Uses of QuorumPeerConfig.ConfigException in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that throw QuorumPeerConfig.ConfigException
Modifier and Type
Method
Description
`protected void`
ZooKeeperServerMain.`initializeAndRun(String[] args)`
`void`
ServerConfig.`parse(String path)`
Parse a ZooKeeper configuration file

## Uses of QuorumPeerConfig.ConfigException in org.apache.zookeeper.server.controller

Methods in org.apache.zookeeper.server.controller that throw QuorumPeerConfig.ConfigException
Modifier and Type
Method
Description
`protected void`
ControllerService.`initConfig(String[] args)`
Derived classes may override to do custom initialization of command line args.
`void`
ControllerService.`initializeAndRun(String[] args)`
Runs the main loop for this application but does not exit the process.
`void`
ControllerServerConfig.`parse(String configFile)`
Constructors in org.apache.zookeeper.server.controller that throw QuorumPeerConfig.ConfigException
Modifier
Constructor
Description
``
`ControllerServerConfig(String configFile)`
Instantiate a new config via a zk config file.

## Uses of QuorumPeerConfig.ConfigException in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that throw QuorumPeerConfig.ConfigException
Modifier and Type
Method
Description
`void`
QuorumPeerConfig.`checkValidity()`
`QuorumVerifier`
QuorumPeer.`configFromString(String s)`
`static void`
QuorumPeerConfig.`configureSSLAuth()`
Configure SSL authentication only if it is not configured.
`protected void`
QuorumPeerMain.`initializeAndRun(String[] args)`
`void`
QuorumPeerConfig.`parse(String path)`
Parse a ZooKeeper configuration file
`static QuorumVerifier`
QuorumPeerConfig.`parseDynamicConfig(Properties dynamicConfigProp, int eAlg, boolean warnings, boolean configBackwardCompatibilityMode, String oraclePath)`
Parse dynamic configuration file and return quorumVerifier for new configuration.
`void`
QuorumPeerConfig.`parseProperties(Properties zkProp)`
Parse config from a Properties.
Constructors in org.apache.zookeeper.server.quorum that throw QuorumPeerConfig.ConfigException
Modifier
Constructor
Description
``
`QuorumServer(long sid, String addressStr)`

## Uses of QuorumPeerConfig.ConfigException in org.apache.zookeeper.server.quorum.flexible

Constructors in org.apache.zookeeper.server.quorum.flexible that throw QuorumPeerConfig.ConfigException
Modifier
Constructor
Description
``
`QuorumHierarchical(String filename)`
This constructor requires the quorum configuration to be declared in a separate file, and it takes the file as an input parameter.
``
`QuorumHierarchical(Properties qp)`
This constructor takes a set of properties.
``
`QuorumMaj(Properties props)`
``
`QuorumOracleMaj(Properties props, String oraclePath)`

## Uses of QuorumPeerConfig.ConfigException in org.apache.zookeeper.server.util

Methods in org.apache.zookeeper.server.util that throw QuorumPeerConfig.ConfigException
Modifier and Type
Method
Description
`static String[]`
ConfigUtils.`getHostAndPort(String s)`
Gets host and port by splitting server config with support for IPv6 literals